## fpsdisplaysink fpsdisplaysink |

## Properties

gboolean | sync | Read / Write
gboolean | text-overlay | Read / Write
GstElement * | video-sink | Read / Write
gint | fps-update-interval | Read / Write
gdouble | max-fps | Read
gdouble | min-fps | Read
gboolean | signal-fps-measurements | Read / Write
guint | frames-dropped | Read
guint | frames-rendered | Read
gchar * | last-message | Read
gboolean | silent | Read / Write

## Signals

void | fps-measurements | Run Last

## Types and Values

struct | GstFPSDisplaySink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstFPSDisplaySink

## Implemented Interfaces

GstFPSDisplaySink implements GstChildProxy.

## Description

Can display the current and average framerate as a testoverlay or on stdout.

### Example launch lines

    1
    2
    3
    4
    gst-launch videotestsrc ! fpsdisplaysink
    gst-launch videotestsrc ! fpsdisplaysink text-overlay=false
    gst-launch filesrc location=video.avi ! decodebin2 name=d ! queue ! fpsdisplaysink d. ! queue ! fakesink sync=true
    gst-launch playbin uri=file:///path/to/video.avi video-sink="fpsdisplaysink" audio-sink=fakesink

## Synopsis

### Element Information

plugin | debugutilsbad
author | Zeeshan Ali <zeeshan.ali@nokia.com>, Stefan Kost <stefan.kost@nokia.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstFPSDisplaySink

    struct GstFPSDisplaySink;

## Property Details

### The `“sync”` property

      “sync”                     gboolean

Sync on the clock (if the internally used sink doesn't have this property it will be ignored.

Flags: Read / Write

Default value: TRUE

### The `“text-overlay”` property

      “text-overlay”             gboolean

Whether to use text-overlay.

Flags: Read / Write

Default value: TRUE

### The `“video-sink”` property

      “video-sink”               GstElement *

Video sink to use (Must only be called on NULL state).

Flags: Read / Write

### The `“fps-update-interval”` property

      “fps-update-interval”      gint

Time between consecutive frames per second measures and update (in ms). Should be set on NULL state.

Flags: Read / Write

Allowed values: >= 1

Default value: 500

### The `“max-fps”` property

      “max-fps”                  gdouble

Maximum fps rate measured. Reset when going from NULL to READY.-1 means no measurement has yet been done.

Flags: Read

Allowed values: >= -1

Default value: -1

### The `“min-fps”` property

      “min-fps”                  gdouble

Minimum fps rate measured. Reset when going from NULL to READY.-1 means no measurement has yet been done.

Flags: Read

Allowed values: >= -1

Default value: -1

### The `“signal-fps-measurements”` property

      “signal-fps-measurements”  gboolean

If the fps-measurements signal should be emited.

Flags: Read / Write

Default value: FALSE

### The `“frames-dropped”` property

      “frames-dropped”           guint

Number of frames dropped by the sink.

Flags: Read

Default value: 0

### The `“frames-rendered”` property

      “frames-rendered”          guint

Number of frames rendered.

Flags: Read

Default value: 0

### The `“last-message”` property

      “last-message”             gchar *

The message describing current status.

Flags: Read

Default value: NULL

### The `“silent”` property

      “silent”                   gboolean

Don't produce last_message events.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“fps-measurements”` signal

    void
    user_function (GstFPSDisplaySink *fpsdisplaysink,
                   gdouble            fps,
                   gdouble            droprate,
                   gdouble            avgfps,
                   gpointer           user_data)

Signals the application about the measured fps

#### Parameters

fpsdisplaysink | a GstFPSDisplaySink |
fps | The current measured fps |
droprate | The rate at which buffers are being dropped |
avgfps | The average fps |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 0.10.20